// App
// -----------------------------------------------------------------------------
import { TypeIncidentCategory } from 'types/default';
import { GenericDataStore } from './GenericDataStore';
import { environment } from 'enviroments/enviroments';

export class IncidentsCategoriesStore extends GenericDataStore<TypeIncidentCategory> {
  constructor() {
    super(environment.endPoints.incidents.categories);
    this.override();
  }

  getId = (entity: TypeIncidentCategory): number => entity.id;

  getName = (entity: TypeIncidentCategory): string => entity.name;
}
